# PrepareForLines(IEnumerable\<string>)

Method in [LineProviderBehaviour](/2.2/api/csharp/yarn.unity/yarn.unity.lineproviderbehaviour.md)

## Summary

Signals to the line provider that lines with the provided line IDs may be presented shortly.

```csharp
public virtual void PrepareForLines(IEnumerable<string> lineIDs)
```

## Remarks

Subclasses of [LineProviderBehaviour](/2.2/api/csharp/yarn.unity/yarn.unity.lineproviderbehaviour.md) can override this to prepare any neccessary resources needed to present these lines, like pre-loading voice-over audio. The default implementation does nothing.

{% hint style="info" %}
Not every line may run; this method serves as a way to give the line provider advance notice that a line *may* run, not *will* run.
{% endhint %}

When this method is run, the value returned by the [LinesAvailable](/2.2/api/csharp/yarn.unity/yarn.unity.lineproviderbehaviour/yarn.unity.lineproviderbehaviour.linesavailable.md) property should change to false until the necessary resources have loaded.

## Parameters

| Name                          | Description                                                         |
| ----------------------------- | ------------------------------------------------------------------- |
| `IEnumerable<string>` lineIDs | A collection of line IDs that the line provider should prepare for. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.2/api/csharp/yarn.unity/yarn.unity.lineproviderbehaviour/yarn.unity.lineproviderbehaviour.prepareforlines.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
